Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::HRuler Class Reference

A GtkHRuler C++ wrapper class. More...

`#include <inti/gtk/ruler.h>`

Inheritance diagram for Inti::Gtk::HRuler:

List of all members.

## Public Member Functions

Constructors

- HRuler ()
    Contruct a new horizontal ruler.
- virtual ~HRuler ()
    Destructor.

Accessors

- GtkHRuler * gtk_hruler () const
    Get a pointer to the GtkHRuler structure.
- GtkHRulerClass * gtk_hruler_class () const
    Get a pointer to the GtkHRulerClass structure.
- operator GtkHRuler * () const
    Conversion operator; safely converts a HRuler to a GtkHRuler pointer.

## Protected Member Functions

Constructors

- HRuler (GtkHRuler *hruler, bool reference=false)
    Construct a new HRuler from an existing GtkHRuler.

## Detailed Description

A GtkHRuler C++ wrapper class.

The HRuler widget is a widget arranged horizontally creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are PIXELS (the default), INCHES and CENTIMETERS.

## Constructor & Destructor Documentation

Inti::Gtk::HRuler::HRuler | ( | GtkHRuler * | hruler,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new HRuler from an existing GtkHRuler. Parameters:
  hruler | A pointer to a GtkHRuler.
  reference | Set false if the initial reference count is floating, set true if it's not.
The hruler can be a newly created GtkHRuler or an existing GtkHRuler (see G::Object::Object).

The documentation for this class was generated from the following file:

- ruler.h

Main Page - Footer